summaryrefslogtreecommitdiff
path: root/target/default/target_skeleton/etc/init.d/rcS
diff options
context:
space:
mode:
authorEric Andersen <andersen@codepoet.org>2004-10-09 02:49:33 +0000
committerEric Andersen <andersen@codepoet.org>2004-10-09 02:49:33 +0000
commit44eedc5c44416a97b3f5ca03d596ec3c9fb29380 (patch)
tree96f605b4cd9934fc1d09319490c672aaab44ce2f /target/default/target_skeleton/etc/init.d/rcS
parent73f7be82904f487d167493e76b415fbe5b5f8c5a (diff)
facelift step number two
Diffstat (limited to 'target/default/target_skeleton/etc/init.d/rcS')
-rwxr-xr-xtarget/default/target_skeleton/etc/init.d/rcS27
1 files changed, 27 insertions, 0 deletions
diff --git a/target/default/target_skeleton/etc/init.d/rcS b/target/default/target_skeleton/etc/init.d/rcS
new file mode 100755
index 000000000..de411534d
--- /dev/null
+++ b/target/default/target_skeleton/etc/init.d/rcS
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+
+# Start all init scripts in /etc/init.d
+# executing them in numerical order.
+#
+for i in /etc/init.d/S??* ;do
+
+ # Ignore dangling symlinks (if any).
+ [ ! -f "$i" ] && continue
+
+ case "$i" in
+ *.sh)
+ # Source shell script for speed.
+ (
+ trap - INT QUIT TSTP
+ set start
+ . $i
+ )
+ ;;
+ *)
+ # No sh extension, so fork subprocess.
+ $i start
+ ;;
+ esac
+done
+